Name:           lxsession-lite
Version:        0.3.6
Release:        1%{?_dist_release}
Summary:        Lightweight X11 session manager
Summary(ja):    軽量なX11セッションマネージャ

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.gz
Source1:        lxsession_ja.po
Source2:        lxsession-LINGUAS

Patch0:         lxsession-lite-0.3.6-icon_search_path_fix-1.patch
Patch1:         lxsession-lite-0.3.6-session_name_fix.patch
Patch2:         lxsession-lite-0.3.6-new-gdm.patch
Patch3:         lxsession-lite-man.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gtk2-devel >= 2.6 glib2-devel >= 2.6 libICE-devel libSM-devel dbus-glib-devel hal-devel
BuildRequires:  docbook-utils intltool gettext docbook2X
Requires:       dbus hal
Obsoletes:      lxsession <= 0.3.2
Provides:       lxsession = %{version}-%{release}

%description
LXSession Lite is a standard-compliant X11 session manager with shutdown/
reboot/suspend support via HAL and gdm. It is a stripped down version of 
LXSession removing X11 session management.

LXSession is derived from XSM and is developed as default X11 session manager 
of LXDE, the Lightweight X11 Desktop Environment. Though being part of LXDE, 
it's totally desktop-independent and only has few dependencies.

%description -l ja
LXSession LiteはHALとgdmを介してシャットダウン/再起動/サスペンドをサポートする
標準準拠のX11セッションマネージャです。


%prep
%setup -q
%__cp -f %{SOURCE1} po/ja.po
%__cp -f %{SOURCE2} po/LINGUAS
%patch0 -p1 -b .icon-path
%patch1 -p1 -b .session-name
%patch2 -p1 -b .new-gdm
%patch3 -p1

%build
%configure
make %{?_smp_flags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang lxsession
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/xdg/lxsession

%clean
rm -rf $RPM_BUILD_ROOT


%files -f lxsession.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/lxsession
%{_bindir}/lxsession-logout
%{_datadir}/lxsession/
%{_mandir}/man1/lxsession*.1*
# we need to own
%dir %{_sysconfdir}/xdg/lxsession

%changelog
* Sat May 9 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.3.6-1
- initial build for VineSeed (import from Fedora)

* Thu Oct 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.6-2
- Preserve timestamps during install

* Thu Jun 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.6-1
- Update to 0.3.6
- Remove docbook hack

* Sun Apr 20 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.5-1
- Switch to LXSession lite and drop xorg-x11-xsm requirement again.

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-2
- Require xorg-x11-xsm

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2-1
- Update to 0.3.2

* Mon Mar 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Initial Fedora RPM
